Skip to main content
GET
/
app.rocksky.charts.getTopArtists
Get top artists
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.charts.getTopArtists \
  --header 'Authorization: Bearer <token>'
{
  "artists": [
    {
      "id": "<string>",
      "uri": "<string>",
      "name": "<string>",
      "picture": "<string>",
      "sha256": "<string>",
      "playCount": 1,
      "uniqueListeners": 1,
      "tags": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

The maximum number of artists to return

Required range: x >= 1
offset
integer

The offset for pagination

Required range: x >= 0
startDate
string<date-time>

The start date to filter artists from (ISO 8601 format)

endDate
string<date-time>

The end date to filter artists to (ISO 8601 format)

Response

OK

artists
object[]